Products

Solutions

Learn More

Partners

Community

Blog

About

Welcome to the DNN Community Forums, your preferred source of online community support for all things related to DNN.
In order to participate you must be a registered DNNizen

HomeHomeDNN Open Source...DNN Open Source...Module ForumsModule ForumsForumForumCan't install Forum 5.0.6 into DNN 8.0.4.Can't install Forum 5.0.6 into DNN 8.0.4.
Previous
 
Next
New Post
2/7/2017 4:40 PM
 
Hi,

Forum seems to look for the dbo.vendors table which isn't there so it errors.

Failure     SQL Execution resulted in following Exceptions: System.Data.SqlClient.SqlException (0x80131904): Foreign key 'FK_Forum_Ad_Vendors_Vendors' references invalid table 'dbo.Vendors'. Could not create constraint. See previous errors. at System.Data.SqlClient.SqlConnection. (SqlException exception, Boolean breakConnection, Action`1 wrapCloseInAction) at System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj, Boolean callerHasConnectionLock, Boolean asyncClose) at System.Data.SqlClient.TdsParser.TryRun(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj, Boolean& dataReady) at System.Data.SqlClient.SqlCommand.RunExecuteNonQueryTds(String methodName, Boolean async, Int32 timeout, Boolean asyncWrite) at System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(TaskCompletionSource`1 completion, String methodName, Boolean sendToPipe, Int32 timeout, Boolean asyncWrite) at System.Data.SqlClient.SqlCommand.ExecuteNonQuery() at DotNetNuke.Data.SqlDataProvider.ExecuteScriptInternal(String connectionString, String script) ClientConnectionId:1ac1a16e-956b-47dd-8eeb-8cf2b0b38c4a Error Number:1767,State:0,Class:16 ALTER TABLE dbo.Forum_Ad_Vendors ADD CONSTRAINT FK_Forum_Ad_Vendors_Vendors FOREIGN KEY ( [VendorID] ) REFERENCES dbo.Vendors ( [VendorID] ) ON DELETE CASCADE NOT FOR REPLICATION

Is there an easy fix and why is the forums module linking to vendors anyway?

Cheers
Paul
 
New Post
2/7/2017 4:45 PM
 
 
New Post
2/7/2017 4:50 PM
 
Thanks Ilpo but that just gives me a 404. But it's github I got the Forum 5.0.6 from.
 
New Post
2/7/2017 4:51 PM
 
Only the email notification errors. The link here works.
So I need to install the "Pre-release" version 5.0.7?
 
New Post
2/7/2017 4:52 PM
 
Yes, this was already fixed in that release.
 
Previous
 
Next
HomeHomeDNN Open Source...DNN Open Source...Module ForumsModule ForumsForumForumCan't install Forum 5.0.6 into DNN 8.0.4.Can't install Forum 5.0.6 into DNN 8.0.4.


These Forums are dedicated to discussion of DNN Platform and Evoq Solutions.

For the benefit of the community and to protect the integrity of the ecosystem, please observe the following posting guidelines:

  1. No Advertising. This includes promotion of commercial and non-commercial products or services which are not directly related to DNN.
  2. No vendor trolling / poaching. If someone posts about a vendor issue, allow the vendor or other customers to respond. Any post that looks like trolling / poaching will be removed.
  3. Discussion or promotion of DNN Platform product releases under a different brand name are strictly prohibited.
  4. No Flaming or Trolling.
  5. No Profanity, Racism, or Prejudice.
  6. Site Moderators have the final word on approving / removing a thread or post or comment.
  7. English language posting only, please.
DNN Launch Webinar
VIEW ON-DEMAND
DNN Launch Webinar
VIEW ON-DEMAND
DNN Launch Webinar
VIEW ON-DEMAND